Recent

Author Topic: Fpcupdeluxe  (Read 606052 times)

BSaidus

  • Sr. Member
  • ****
  • Posts: 386
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
Re: Fpcupdeluxe
« Reply #1935 on: September 23, 2021, 03:05:26 pm »
Hi @DonAlfredo,
Could you implement a Cross compile engine from Windows to FreeBSD aarch64 please.
I tried to compile but I receive a message that it is not implimented.


Thanks in advance.
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

BSaidus

  • Sr. Member
  • ****
  • Posts: 386
  • lazarus 1.8.4 Win8.1 / cross FreeBSD
FPCUpDeluxe
« Reply #1936 on: September 24, 2021, 01:23:51 pm »
     1. WHEN WILL BE THE RELEASE, please.

We are running a bit behind....

Thanks @Martin_fr

     2. WILL this release support (FreePascal) cross build for aarch64-FreeBSD ??

Support for aarch64-freebsd is only available in the development version of FPC. If you install 3.3.1 you can use aarch64-freebsd already now.
Ah ok, Do you think Fpcupdeluxe can do the job of building a cross compiler from Windows to aarch64-freebsd ?
Thanks to you @PascalDragon.
lazarus 1.8.4 Win8.1 / cross FreeBSD
dhukmucmur vernadh!

PascalDragon

  • Hero Member
  • *****
  • Posts: 3398
  • Compiler Developer
Re: FPCUpDeluxe
« Reply #1937 on: September 24, 2021, 01:34:45 pm »
     2. WILL this release support (FreePascal) cross build for aarch64-FreeBSD ??

Support for aarch64-freebsd is only available in the development version of FPC. If you install 3.3.1 you can use aarch64-freebsd already now.
Ah ok, Do you think Fpcupdeluxe can do the job of building a cross compiler from Windows to aarch64-freebsd ?
Thanks to you @PascalDragon.

Don't know. I don't use FPCUpDeluxe.

prof7bit

  • Full Member
  • ***
  • Posts: 134
Re: FPCUpDeluxe
« Reply #1938 on: September 24, 2021, 01:52:31 pm »
Ah ok, Do you think Fpcupdeluxe can do the job of building a cross compiler from Windows to aarch64-freebsd ?
Thanks to you @PascalDragon.

It will refuse to build this combination (at least on Linux). I can build x86_64/FreeBSD and I can build aarch64/Linux but it will not allow to select aarch64/FreeBSD. I could not test this on Windows at the moment, maybe it has to do with the availability of cross binutils and the situation is different on Windows. You could just download the tool and try it yourself (I generally highly recommend it), it won't break anything on your current installation, it will compile a completely isolated installation, all contained inside one folder, including all config and settings files.

Maybe you should also ask the author of fpcupdeluxe about what the reason is, maybe he just did not yet add it to the whitelist, he is usually very quickly responding and always trying his best to fix bugs, often on the same day you report it.
« Last Edit: September 24, 2021, 01:58:48 pm by prof7bit »

Alextp

  • Hero Member
  • *****
  • Posts: 1403
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1939 on: September 25, 2021, 08:33:53 pm »
I try the release 2.2.0b and always get the log-window-messages

>Looking for official FPC bootstrapper with version 3.2.2
>Could not get compiler list from ftp://ftp.freepascal.org/pub........

Then app tries to get 3.2.0, then the 3.0.4, then the 3.0.2. And cannot do it. It takes much time.
I tried all sources: GitLab, and GitHub, and 3.2.2.zip.

I use Ubuntu 20 x64, and try to get FPC 3.2.2.
« Last Edit: September 25, 2021, 08:35:33 pm by Alextp »

Alextp

  • Hero Member
  • *****
  • Posts: 1403
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1940 on: September 26, 2021, 10:43:31 am »
About my previous msg: ftp.freepascal.org is down. It's the reason.

marcov

  • Administrator
  • Hero Member
  • *
  • Posts: 9589
  • FPC developer.
Re: Fpcupdeluxe
« Reply #1941 on: September 26, 2021, 01:00:12 pm »
There was a plan to migrated the old VM, and it seems the VM was now migrated to downloads.freepascal.org/. We are waiting on final confirmation of the administrator to update DNS.


Alextp

  • Hero Member
  • *****
  • Posts: 1403
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1942 on: September 26, 2021, 01:59:04 pm »
The 'deluxe' binary has about 20 places with hard-coded 'ftp.freepascal.org' so it fails. I cannot change its .ini files to fix it.

Alextp

  • Hero Member
  • *****
  • Posts: 1403
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1943 on: September 26, 2021, 02:03:58 pm »
Currently, I solved this via 'hosts' file to use IP of downloads.freepascal.org
https://www.ionos.com/digitalguide/server/configuration/hosts-file/

prof7bit

  • Full Member
  • ***
  • Posts: 134
Re: Fpcupdeluxe
« Reply #1944 on: September 26, 2021, 03:35:27 pm »
Currently, I solved this via 'hosts' file to use IP of downloads.freepascal.org
https://www.ionos.com/digitalguide/server/configuration/hosts-file/
I solved this by checking the box "Only use fpcup bootstrappers" in the Setup+ Dialog.

zoltanleo

  • Sr. Member
  • ****
  • Posts: 359
Re: Fpcupdeluxe
« Reply #1945 on: September 27, 2021, 12:33:57 am »
Hi DonAlfredo

I try to use v.2.2.0b on Darwin-Cocoa Big Sur. I get error (see attach)
Win10 LTSC x64/Deb 11 amd64/Darwin Cocoa (Big Sur):
Lazarus x32/x64 2.3(trunk); FPC 3.3.1 (trunk), FireBird 3.0.7

Sorry for my bad English, I'm using translator ;)

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1622
  • Former Delphi 1-7, 10.2 user
Re: Fpcupdeluxe
« Reply #1946 on: September 27, 2021, 01:28:17 am »
@zoltanleo: The app is neither signed nor notarised so you need to deploy the GateKeeper workaround of right-clicking on it and choosing Open. It works for me* on Mojave, Big Sur and Monterey (Dev beta 7)

* I can download and open it successfully. I do not use it.
« Last Edit: September 27, 2021, 01:29:49 am by trev »
Lazarus 2.3 + FPC 3.3.1 2021-10-19 macOS 10.14.6 Xcode 11.3.1
Lazarus 2.3 + FPC 3.3.1 2021-09-21 macOS 11.6 aarch64 Xcode 13
Lazarus 2.3 2021-08-11 FPC 3.2.2 FreeBSD 13.0 amd64 VMware VM
Lazarus 2.1 r61574 FPC 3.0.4 Ubuntu 20.04 Parallels VM
Lazarus 2.0.10 FPC 3.2.0 Win10 Parallels VM

zoltanleo

  • Sr. Member
  • ****
  • Posts: 359
Re: Fpcupdeluxe
« Reply #1947 on: September 27, 2021, 01:40:53 am »
* I can download and open it successfully. I do not use it.

Hi trev.

Thanks for the responce. I don’t know what’s going on, but the application doesn’t work correctly (see attach). The previous version (v.2.0.1b) starts up and works fine
Win10 LTSC x64/Deb 11 amd64/Darwin Cocoa (Big Sur):
Lazarus x32/x64 2.3(trunk); FPC 3.3.1 (trunk), FireBird 3.0.7

Sorry for my bad English, I'm using translator ;)

MaartenJB

  • Jr. Member
  • **
  • Posts: 92
Re: Fpcupdeluxe
« Reply #1948 on: September 28, 2021, 02:52:02 pm »
@DonAlfredo, just found out about this amazing application and just wanted to say: Thank you!

Alextp

  • Hero Member
  • *****
  • Posts: 1403
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1949 on: October 02, 2021, 01:20:55 pm »
I reinstalled FPC 3.2fixes and all cross'es.
Now for macOS x64 I get this error at the end of compile:

Error: Util x86_64-apple-darwin19-dsymutil not found, switching to external linking

And this is the last error, and build fails...

 

TinyPortal © 2005-2018